Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class BuildingNumber

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.BuildingNumber

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class BuildingNumber

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Building Number', and utility methods for working with them. specDomain: V10649 (C-0-D10642-V14822-V10649-cpt)

See Also:
  `CDAR2Package.getBuildingNumber()`

Field Summary
`static int` | `BNN` The 'BNN' literal value.
`static BuildingNumber` | `BNN_LITERAL` The 'BNN' literal object.
`static int` | `BNR` The 'BNR' literal value.
`static BuildingNumber` | `BNR_LITERAL` The 'BNR' literal object.
`static int` | `BNS` The 'BNS' literal value.
`static BuildingNumber` | `BNS_LITERAL` The 'BNS' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Building Number' enumerators.

Method Summary
`static BuildingNumber` | `get(int value)` Returns the 'Building Number' literal with the specified integer value.
`static BuildingNumber` | `get(java.lang.String literal)` Returns the 'Building Number' literal with the specified literal value.
`static BuildingNumber` | `getByName(java.lang.String name)` Returns the 'Building Number' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BNR

    public static final int BNR

  The 'BNR' literal value.

  If the meaning of 'BNR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BNR_LITERAL`, Constant Field Values

### BNN

    public static final int BNN

  The 'BNN' literal value.

  If the meaning of 'BNN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BNN_LITERAL`, Constant Field Values

### BNS

    public static final int BNS

  The 'BNS' literal value.

  If the meaning of 'BNS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BNS_LITERAL`, Constant Field Values

### BNR_LITERAL

    public static final BuildingNumber BNR_LITERAL

  The 'BNR' literal object.

  See Also:
    `BNR`

### BNN_LITERAL

    public static final BuildingNumber BNN_LITERAL

  The 'BNN' literal object.

  See Also:
    `BNN`

### BNS_LITERAL

    public static final BuildingNumber BNS_LITERAL

  The 'BNS' literal object.

  See Also:
    `BNS`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Building Number' enumerators.

Method Detail

### get

    public static BuildingNumber get(java.lang.String literal)

  Returns the 'Building Number' literal with the specified literal value.

### getByName

    public static BuildingNumber getByName(java.lang.String name)

  Returns the 'Building Number' literal with the specified name.

### get

    public static BuildingNumber get(int value)

  Returns the 'Building Number' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD